data:extend
(
{
 {
  type = "land-mine",
  name = "land-mine-2",
  icon = "__BetterMines__/graphics/land-mine-2.png",
  flags = {"placeable-player", "placeable-enemy", "player-creation", "placeable-off-grid"},
  minable = {mining_time = 1, result = "land-mine-2"},
  max_health = 20,
  corpse = "small-remnants",
  collision_box = {{-0.4,-0.4}, {0.4, 0.4}},
  selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
  dying_explosion = "explosion-hit",
  picture_safe =
  {
   filename = "__BetterMines__/graphics/land-mine-2.png",
   priority = "medium",
   width = 32,
   height = 32
  },
  picture_set =
  {
   filename = "__BetterMines__/graphics/land-mine-2-set.png",
   priority = "medium",
   width = 32,
   height = 32
  },
  trigger_radius = 2.5,
  action =
  {
   type = "direct",
   action_delivery =
   {
    type = "instant",
    source_effects =
    {
     {
      type = "nested-result",
      affects_target = true,
      action =
      {
       type = "area",
       perimeter = 6,
       collision_mask = { "player-layer" },
       action_delivery =
       {
        type = "instant",
        target_effects =
        {
         type = "damage",
         damage = { amount = 120, type = "explosion"}
        }
       }
      }
     },
     {
      type = "create-entity",
      entity_name = "explosion"
     },
     {
      type = "damage",
      damage = { amount = 3000, type = "explosion"}
     }
    }
   }
  },
 },
 {
  type = "item",
  name = "land-mine-2",
  icon = "__BetterMines__/graphics/land-mine-2.png",
  flags = {"goes-to-quickbar"},
  damage_radius = 10,
  subgroup = "gun",
  order = "g[land-mine-2]",
  place_result = "land-mine-2",
  stack_size = 20,
  trigger_radius = 1
 },
 {
  type = "recipe",
  name = "land-mine-2",
  enabled = false,
  energy_required = 15,
  ingredients =
  {
   {"land-mine", 4},
   {"steel-plate", 10},
   {"explosives", 10},
   {"electronic-circuit", 5}
  },
  result = "land-mine-2",
  result_count = 4
 },
 {
  type = "technology",
  name = "land-mine-2",
  icon = "__BetterMines__/graphics/land-mine-2.png",
  effects =
  {
   {
    type = "unlock-recipe",
    recipe = "land-mine-2"
   }
  },
  prerequisites = {"land-mine"},
  unit =
  {
   count = 50,
   ingredients =
   {
    {"science-pack-1", 1},
    {"science-pack-2", 1},
    {"science-pack-3", 1}
   },
   time = 30
  },
  upgrade = true,
  order = "e-e"
 },
}
)